lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'covid19/version'

Gem::Specification.new do |spec|
    spec.name          = 'covid19'
    spec.version       = Covid19::VERSION
    spec.authors       = ['Tim Gurney aka Wolf']
    spec.email         = ['wolf@tgwolf.com']

    spec.summary       = 'A wrapper for the coronavirus API at https://corona-api.com/.'
    spec.description   = 'A wrapper for the coronavirus API at https://corona-api.com/.'
    spec.homepage      = 'https://github.com/WolfAtheneum/covid19'
    spec.license       = 'MIT'

    spec.files         = `git ls-files`.split($/)

    spec.bindir        = 'exe'
    spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
    spec.require_paths = ['lib']

    spec.required_ruby_version = '>= 2.5'

    spec.add_development_dependency 'bundler', '~> 2'
    spec.add_development_dependency 'colorize', '~> 0.8'
    spec.add_development_dependency 'rake', '~> 13.0'
    spec.add_development_dependency 'rspec', '~> 3.0'
    spec.add_development_dependency 'terminal-table', '~> 1.8'

    spec.add_runtime_dependency 'colorize', '~> 0.8'
    spec.add_runtime_dependency 'terminal-table', '~> 1.8'
end
